MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004078ATutor- no cat -public2009-12-04 11:322009-12-16 03:59
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0004078: Hardware device detector
DescriptionAdd a detector for mobile devices: iPhone, Blackberry, Google Phone
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003978)
cindy (administrator)
2009-12-10 06:37

SVN revision: 9022

Solution: in vitals.inc.php, add detection on HTTP_USER_AGENT to detect mobile devices. Also add "mobile" theme folder and some necessary files, without any templates yet. For now, as there's only one mobile theme, it's hardcoded in script. When more mobile themes come in, this should be changed.

Affected scripts:
include/vitals.inc.php
install/db/atutor_schema.sql
install/db/atutor_upgrade_1.6.3_to_1.6.4.sql
themes/mobile (folder and basic style, configuration and readme files)

- Issue History
Date Modified Username Field Change
2009-12-04 11:32 greg New Issue
2009-12-04 11:32 greg Affects version => SVN
2009-12-04 11:32 greg Status new => assigned
2009-12-04 11:32 greg Assigned To => cindy
2009-12-10 06:37 cindy Status assigned => resolved
2009-12-10 06:37 cindy Fixed in Version => 1.6.4
2009-12-10 06:37 cindy Resolution open => fixed
2009-12-10 06:37 cindy Note Added: 0003978
2009-12-16 03:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker